Package ghidra.rmi.trace

# Interface TraceRmi.RequestCreateRootObjectOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestCreateRootObject`, `TraceRmi.RequestCreateRootObject.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestCreateRootObjectOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `String`
  `getRootSchema()`
  `string root_schema = 3;`
  `com.google.protobuf.ByteString`
  `getRootSchemaBytes()`
  `string root_schema = 3;`
  `String`
  `getSchemaContext()`
  `string schema_context = 2;`
  `com.google.protobuf.ByteString`
  `getSchemaContextBytes()`
  `string schema_context = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getSchemaContext

    String getSchemaContext()
    `string schema_context = 2;`
    Returns:
      The schemaContext.

  - ### getSchemaContextBytes

    com.google.protobuf.ByteString getSchemaContextBytes()
    `string schema_context = 2;`
    Returns:
      The bytes for schemaContext.

  - ### getRootSchema

    String getRootSchema()
    `string root_schema = 3;`
    Returns:
      The rootSchema.

  - ### getRootSchemaBytes

    com.google.protobuf.ByteString getRootSchemaBytes()
    `string root_schema = 3;`
    Returns:
      The bytes for rootSchema.